Installer kodi 15 dans debian 8.2


#7

@ Clochette,
Bonjour , houla, houlala il me fallait dire quelques chose concernant ma venu, avec le respect, dans debian fr.org depuis le mois de juin, pour une personne non habitué… J’avais une visite avec mes 3 Debians : La VoyagerX8 debian 8.1 installée, la debian 8.2 Kde installée et la troisième une vrai debian 8.2 nature. toutes les trois avec skype sans PBs…et d’autres trucs qui ne sont pas “acceptés” libres…Mais sans les recommandations de Debian.(sauf pour la deb. 8.2 qui a craché sans skype, aie, aie :005 )
Comme je ne suis pas quelqu’un de “très” rigide avec les recommandations de Debian, j’ai été aidé(pas par moi, bien sur)pour avoir une installe de skype avec quelques trois ou quatre manips… Avec succès? Oui! je peux comprendre avec le respect de debian et des membres qu’il y a toujours un doute sur une installe qui ne se passe pas correctement avec les aides données par les membres… J’ai eu a cette époque une demande au sujet de l’installe de qupzilla 1.8.6 recommandé par une installe avec 14 manips selon ce qui doit se passer dans debian… Ah bon… Je n’ai pas compris…J’ai bêtement téléchargé qupzilla 1.8.6 , l’installer avec gdebi en 4 manips… Je suppose qu’il s’agit pour moi d’un “manque de respect” de ce qui se passe lors d’une info avec laquelle je n’y comprends pas les rallonges d’installations… Ce qui va obligatoirement, m’être une façon de faire les choses “bien rapides” les plus réfléchies? A la debian… Ce qui me parait normal… avec mes excuses de quelqu’un “un peu spécial” :119 :blush:


#8

###Non ! ‘pas pour debian’ (Dépot)

####apt-get install -s kodi
Lecture des listes de paquets… Fait
Construction de l’arbre des dépendances
Lecture des informations d’état… Fait
E: Impossible de trouver le paquet kodi

####Sources.list

####cat etc/apt/sources.list
deb http://httpredir.debian.org/debian/ jessie main non-free contrib
deb-src http://httpredir.debian.org/debian/ jessie main non-free contrib

*deb http://ftp.fr.debian.org/debian/ stable-proposed-updates main
deb http://ftp.fr.debian.org/debian jessie-proposed-updates main contrib non-free
*deb http://httpredir.debian.org/debian jessie-updates main non-free contrib
*deb-src http://httpredir.debian.org/debian jessie-updates main non-free contrib

deb http://security.debian.org/ jessie/updates main non-free contrib
deb-src http://security.debian.org/ jessie/updates main non-free contrib
(jessie)root@localhost:/#


#9

Salut BelZeButh, bonsoir et bon WE.
Si tu serais plus concis et moins vague dans les réponses, ça donnerait ceci : :wink:
####Installation

#####sudo apt-get install kodi

####Sources.list

#####cat etc/apt/sources.list

#Repos de Kodi
’#À partir de debian jessie, debian fournit kodi via son backports référentiel
#Rappelez - vous: ces paquets ne sont pas pris en charge par kodi d’équipe
deb http://http.debian.net/debian jessie-backports principale

####Modifier le fichier sourcs.list

#####nano etc/apt/sources.list

###~ Info :


#10

Si, pour Debian :wink:

Belzebuth et Clochette ont bien précisé que Kodi existe pour Debian, dans les dépôts testing et unstable, ainsi que dans le backports de Jessie. Mais quel que soit le dépôt, c’est du Debian :wink:
Dans le sources.list que tu cites tu n’as aucun des trois, c’est donc normal que APT ne trouve pas le paquet.

Et enfin pour l’installation, la méthode “aptitude -s install” de Belzebuth marche aussi bien que " apt-get -s install"… :wink:


#11

Oui, je suis dessus, mais mon fichier source à un manque.


#12

OK, je reprend pour répondre à Jibel.

  • Vous devez voir vos sources dans le fichier “sources.list” (etc/apt/sources.list) :

####cat etc/apt/sources.list

  • Si le fichier “sources.list” ne contient pas cette ligne :

“deb http://www.deb-multimedia.org jessie main non-free”

  • lorsque vous exécuterez la commande suivante :

####apt-get install kodi

( celui-ci ne sera pas trouvé depuis les dépots repris dans le fichier “sources.list” )

  • Pour modifier sources.list

####nano etc/apt/sources.list

( et ajoutez la ligne “deb http://www.deb-multimedia.org jessie main non-free” et sauvegardez les modification apportés )

  • Effectuez un update pour les modification apportés avec la commande suivante :

####apt-get update

  • Puis installer Kodi :

####apt-get install kodi

  • Terminez par un :

####apt-get update
##~Info :

#####J’espère avoir aidé du mieux que possible, " Bon WE à vous ". :wink:


#13

Merci pour les infos , je vais tester tout ce qui a été présent @+ :slight_smile:


#14

Juste un petit conseil, si ce n’est que pour ce paquet, il vaut mieux préférer les dépôt Backports de Debian Stable à deb-multimedia.


#15

Merci GOGI pour ce rappel… je ne me souvenais plus a quelle date j’avais introduit cette question sur le sujet de kodi :joy: mois de fevrier… houlala…quelle chance pour les
réponses … J’en tiendrais compte @+ Bon W.E. :sunglasses:


#16

Reste plus qu’à faire… Amuses toi bien :wink:


#17

Salut ,
Bizarrerie avec les commandes :pensive:

jib@debian:~$ apt-get update
E: Impossible d’ouvrir le fichier verrou /var/lib/apt/lists/lock - open (13: Permission non accordée)
E: Impossible de verrouiller le répertoire /var/lib/apt/lists/
E: Impossible d’ouvrir le fichier verrou /var/lib/dpkg/lock - open (13: Permission non accordée)
E: Impossible de verrouiller le répertoire d’administration (/var/lib/dpkg/). Avez-vous les privilèges du superutilisateur ?
jib@debian:~$ sudo su
[sudo] password for jib:
root@debian:/home/jib# apt-get update
E: Le pilote pour la méthode /usr/lib/apt/methods/https n’a pu être trouvé.
N: Is the package apt-transport-https installed?
root@debian:/home/jib# apt-get install kodi
Lecture des listes de paquets… Erreur !
E: Problème de renommage du fichier /var/cache/apt/srcpkgcache.bin.G9FxIz en /var/cache/apt/srcpkgcache.bin - rename (2: Aucun fichier ou dossier de ce type)
E: Problème de renommage du fichier /var/cache/apt/pkgcache.bin.a3iZXd en /var/cache/apt/pkgcache.bin - rename (2: Aucun fichier ou dossier de ce type)
E: Les listes de paquets ou le fichier « status » ne peuvent être analysés ou lus.
root@debian:/home/jib# gksu apt-get update
No protocol specified

(gksu:2077): Gtk-WARNING **: cannot open display: :0
root@debian:/home/jib# gksu update
No protocol specified

(gksu:2080): Gtk-WARNING **: cannot open display: :0
root@debian:/home/jib# apt-get update
E: Le pilote pour la méthode /usr/lib/apt/methods/https n’a pu être trouvé.
N: Is the package apt-transport-https installed?
root@debian:/home/jib#

sources.list :

Debian Jessie, dépôt principal + paquets non libres

deb http://httpredir.debian.org/debian/ jessie main contrib non-free

Debian Jessie, mises-à-jour de sécurité + paquets non libres

deb http://security.debian.org/ jessie/updates main contrib non-free

Debian Jessie, mises-à-jour “volatiles” + paquets non libres

deb http://httpredir.debian.org/debian/ jessie-updates main contrib non-free

Debian Jessie, dépôt de rétroportages (“backports”)

deb http://httpredir.debian.org/debian jessie-backports main contrib non-free

XBMC repos

deb https://people.debian.org/~rbalint/ppa/xbmc-ffmpeg xbmc-ffmpeg-unstable/
deb http://http.debian.net/debian unstable main
deb http://www.deb-multimedia.org2 jessie main non-free

Et dernier point, l’entourage habituel du texte ? ou qu’c’est-y qu’ils sont passés ?
pour avoir un entourage en rouge , vert, bleu orange, mauve c’est -y pas mieux comme ça :sunglasses: Je clique sur citation , pas bon… sur texte preformaté, pas bon … etc etc


#18

ça c’est une horreur :smiley: évites gksu avec les commandes en CLI :stuck_out_tongue:

essaies de faire ceci (il faut etre en root bien sûr) :
apt-get clean && apt-get autoclean
apt-get update


#19

Bon salut,
J’peux pas repondre completement a ce que tu dis … J’ai trois debian 8.2 unOSs avec lequel j’ai ces PBs de lignes de commandes , que j’ai indiqués, le deuxieme est celui avec lequel j’écris … c’est en fait une expérimentation de Voyager X8 64 bits debian protocole a l’installe( pas de PB avec cet OS, sauf la difficulté d’essayer skype, pas possible)
Par contre dans mes deux autres OSs debian 8.2 pas de soucis pour skype, est présent
même si debian n’est pas en accord avec le membre pour l’installe de skype, je suis d’accord pour la politique de debian Fr.org …Pas de soucis pour moi…
Je reviens sur ce que j’ai écris et du résultat par la copie fait , ça ne va pas ? pour quoi? je ne sais pas au vu du resultat et contradiction par rapport aux commandes ? ?
pour tes apt-get update et autres pas de PB en root, mais la preuve c’est ce que ,je fais toujours avec tout bon …
QQchose qui débloque dans cet OS debian 64 Bits avec KDE environnement pas avec les deux autres ??? attention c’est mon plaisir celui de tester et retester les differences entres les OSs quels qu’ils soient @+ :pouting_cat:


#20

j’ai pas compris ce que tu veux dire avec ta réponse?

Je t’ai donné les commandes “apt-get clean && apt-get autoclean” pour ton souci avec “apt-get update”.

Tu passes en root, tu fais un coup de “apt-get clean && apt-get autoclean” avant de faire “apt-get update” et après tu continues avec “apt-get install kodi”.


#21

@GOGI, voila toutes les commandes qui sont citées lors d’ameliorations ou de MàJ d’un OS quel qu’il soit… j’essaye de mettre e évidence lors de ma réponse et bien non , ça ne l’est pas …
Qu’est-ce que je vois quand je te reponds, a gauche et a droite…+ tout le détail de mes questions… Que je dois revoir, pour selectionner la ou les parties de recherche sur ce qui ne va pas :slight_smile:
Toutes les commandes , je les connais voir ci-dessous :blush:
sudo apt-get update
sudo apt-get dist-upgrade
sudo apt-get autoclean
sudo apt-get clean
sudo apt-get autoremove
sudo reboot

et rebelote avec ça :slight_smile:
jib@debian:~$ sudo su [sudo] password for jib: root@debian:/home/jib# apt-get update E: Le pilote pour la méthode /usr/lib/apt/methods/https n'a pu être trouvé. N: Is the package apt-transport-https installed?
Que j’avais fais, avec une mention dans le texte de retour de cette bonne commande en root…
Quel est le PB apres cette bonne commande en root ? :angry:
et je rajoute ce que je vois durant la conversation concernant kodi :slight_smile:

pour voir la capture d’écran , il suffit de cliquer sue le "petit carré"
dans la ligne en dessous… C’est tout et youpie
C’est formidable tout défile dans cette conversation, et je n’arrive plus a avoir ce qui me semble le plus evident a mentionner … C’est tout… bon je termine pour dire que dans ce debian 8.2 64 bits le PB a été mentionné un peu plus haut, s’il avait été entouré, d’une maniere ou d’une autre ça aurait évité mon agacement depuis le changement de debian.fr.org … Que ça soit avec ou la non information des membres… Que pour mes deux autres OSs de debian en test et installes définitives…tout est OK…C’est tout , merci et @+ :angry:


#22

ok en fait toi tu parles de la mise en forme pour les réponses sur le forum si je comprends bien, c’est ça qui t’agace? :smiley:
C’est pas tout à fait pareil que sur l’ancien forum mais tu as les boutons au dessus de la partie gauche, après quand je veux vraiment mettre en évidence je mets en gras le texte.

Est ce que tu as bien fait un “apt-get clean && apt-get autoclean” avant de lancer apt-get update?

Si oui alors regarde le retour de :

dpkg -l | grep apt-transport-https

pour voir s’il est installé ou pas, si le retour est vide installe le paquet et relance un apt-get update.


#23

`[quote=“jibel, post:1, topic:67192, full:true”]
Bonsoir a tout le monde ,
Pas trouver les lignes adéquates pour l’installe de la dernière version de kodi 15 i
[/quote]

Oui bien sur en plus tout cela venant d’un site que je ne peux nommer ici… spécialiste des optimisations des OSs xubuntu, xfce , etc etc mais pas OK pour debian quoique ? ? ? pour le moment je suis sur un autre OS et comme c’est férié demain je vais revoir les défauts de cette installe avec ce que j’ai montré @+
je peux cacher la prévisualisation de mon teste et hop, c’est fait :innocent:


#24

@moi -même,
Kodi est la version 15.2 isengar
XBMC repos est dans la sources.list ce qui pose PB ou pas avec kodi

E: Le pilote pour la méthode /usr/lib/apt/methods/https n’a pu être trouvé.
N: Is the package apt-transport-https installed?
certains PB lors de manips avec le terminal que ça soit en root ou en user avec gksu qui marche et donne avec le mot de passe
pour avoir l’autorisation “root” pour les MàJs de debian refusé ainsi que d’autres manips pour installer un logiciel. Ce que je n’ai pas dans mes deux autres OSs 1e debian 8.2 et le Voyager 64Bits debian … Tout est OK dedans …
Qu’est-ce qui peut gêner certaines manips? ? ? que ça soit avec “apper” gestionnaire de MàJ et “synaptic” etc etc
D’ou viennent ces PBs :smirk: mystere :open_mouth:


#25

Oui désolé, j’ai oublier de placer " sudo " , devant les lignes de commandes pour une utilisation hors du root. :wink: ou faire appel au Super User (root) via la console grâce à : “sudo su” pour passer de utilisateur à Super User et sans devoir à chaque fois frapper “sudo” à chaque ligne de commandes.

#####Bon WE à vous, et que cela fonctionne pour toi : Jibel .


#26

Salut ,
et en plus c’est ma faute , car kodi n’est pas installé…mais c’est xbmc qui fonctionne mais avec des manques des chaines obtenues en live :joy:
pour les voirs aie, aie aie merci et excuses pour mon erreur :flushed: